#include "colors.inc"
#include "woods.inc"

camera
{
  location  <0.001, 0.001, -10.0> // position of camera <X Y Z>
  up        y                // which way is +up <X Y Z>
  right     4/3*x            // which way is +right <X Y Z> and aspect ratio
  look_at   <0.001, 0.002, -0.001> // point center of view at this point <X Y Z>
  //rotate (clock*20-10)*y
}

light_source { < 0.1, 0.1,-10.1> color White }
light_source { < 4.1, 4.1,-8.1> color White }
light_source { <-4.1, 4.1,-8.1> color White }
light_source { < 4.1,-4.1,-8.1> color White }
light_source { <-4.1,-4.1,-8.1> color White }

#declare tex =
texture
{
	T_Wood1
	finish { ambient 0.4 }
	translate <10*rand(seed(0)),10*rand(seed(1)),10*rand(seed(2))>
	scale 2.3
}

#declare N3d = text { ttf "times.ttf","N",1,0 scale < 5, 5, 0.5> }
#declare o3d = text { ttf "times.ttf","o",1,0 scale < 5, 5, 0.5> }
#declare C3d = text { ttf "times.ttf","C",1,0 scale < 5, 5, 0.5> }
#declare r3d = text { ttf "times.ttf","r",1,0 scale < 5, 5, 0.5> }
#declare e3d = text { ttf "times.ttf","e",1,0 scale < 5, 5, 0.5> }
#declare w3d = text { ttf "times.ttf","w",1,0 scale < 5, 5, 0.5> }

#declare NoCrew =
union
{
	object { N3d texture{tex} rotate < 0,-5, 0> translate <-6.5, 0, 0> }
	object { o3d texture{tex} rotate < 12,-25, 0> translate <-3.8, 0,-0.8> }
	object { C3d texture{tex} rotate <-25, 40, 0> translate <-2.6,-0.05, 1.5> }
	object { r3d texture{tex} rotate <-25,-10, 55> translate < 0.3,-0.1,-0.3> }
	object { e3d texture{tex} rotate <-15, 30, 2> translate < 0.7, 0, 0.6> }
	object { w3d texture{tex} rotate < 10,-30, 0> translate < 1.8, 0,-1.4> }
	translate < 1,-1.8, 0>
}

//////////

object
{
	NoCrew
}
